BuildRequires: dos2unix
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 0.11
%define module_name Tie-Restore
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: restores ties to an existing object
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RO/ROBWALKER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Provides the opposite of the 'tied' function.  Say you have %%hash that
is tied to $object.  Then, it is relatively simple to get $object from
%%hash simply by saying

 $object = tied %%hash;

But, how does one go the other way?  Simple, with Tie::Restore

 tie %%hash, 'Tie::Restore', $object;

Works for any kind of tie. (scalar, array, hash, filehandle)


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install
# trailing <CR> in interpreter: #!/usr/bin/perl<CR>
for dir in %buildroot%_bindir %buildroot%perl_vendor_archlib %buildroot%perl_vendor_privlib ; do
    if [ -d $dir ]; then
    	find $dir -type f -executable | while read f; do
	  case `file $f` in
	    *perl*) dos2unix $f ;;
	  esac
	done
    fi
done


%files
%doc README Changes
%perl_vendor_privlib/T*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

